# ajw_if_comment_owner v0.3
# Allows checking one or multiple comment field values to "verify" an indentity
# http://compooter.org/

# ......................................................................
# This is a plugin for Textpattern - http://textpattern.com/
# To install: textpattern > admin > plugins
# Paste the following text into the 'Install plugin' box:
# ......................................................................
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